Skip to main content
POST

Authorizations

Authorization
string
header
required

Supabase user JWT (or an internal service token). Send as Authorization: Bearer <token>.

Body

application/json
prompt
string
required

Text prompt for generation.

Minimum string length: 1
Example:

"A professional headshot in a modern office"

profile_ids
integer[]

IDs of trained profiles to lock identity to.

Example:
num_output_images
integer
default:1

Number of images to generate.

Required range: 1 <= x <= 4
aspect_ratio
enum<string>
default:3:4

Output aspect ratio.

Available options:
1:1,
3:4,
4:3,
9:16,
16:9
resolution
enum<string>
default:1K

Output resolution.

Available options:
1K,
2K,
4K
output_format
enum<string>
default:png

Output image format.

Available options:
png,
jpg

Response

Generation completed successfully.

status
integer
Example:

200

data
object